# UserInputType

## Overview

UserInputType is an Enum that defines various types of user input that can be processed by applications.

It allows mouse interactions, use of keyboard, touch gestures, and game controller actions to be categorized and processed. This is used in the UserInputType property of InputObject.

## Items

| Name          | Value | Description                                                       |
| ------------- | ----- | ----------------------------------------------------------------- |
| MouseButton1  | 0     | Left mouse button input.                                          |
| MouseButton2  | 1     | Right mouse button input.                                         |
| MouseButton3  | 2     | Middle mouse button or mouse wheel input.                         |
| MouseWheel    | 3     | Mouse wheel up and down scroll input.                             |
| MouseMovement | 4     | Mouse cursor movement input.                                      |
| Touch         | 7     | Touch screen input, including taps, swipes, multi-touch gestures. |
| Keyboard      | 8     | Keyboard input, including key pressing and typing actions.        |
| Focus         | 9     | Currently not supported.                                          |
| Accelerometer | 10    | Currently not supported.                                          |
| Gyro          | 11    | Currently not supported.                                          |
| Gamepad1      | 12    | Currently not supported.                                          |
| Gamepad2      | 13    | Currently not supported.                                          |
| Gamepad3      | 14    | Currently not supported.                                          |
| Gamepad4      | 15    | Currently not supported.                                          |
| Gamepad5      | 16    | Currently not supported.                                          |
| Gamepad6      | 17    | Currently not supported.                                          |
| Gamepad7      | 18    | Currently not supported.                                          |
| Gamepad8      | 19    | Currently not supported.                                          |
| TextInput     | 20    | Currently not supported.                                          |
| InputMethod   | 21    | Currently not supported.                                          |
| None          | 22    | The default value that does not represent a specific input type.  |

## See also

{% content-ref url="/pages/SZGuVp7JPyahII6ztV8f" %}
[InputObject](/development/api-reference/classes/inputobject.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/enums/userinputtype.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
